Subject: bug#21982: 25.1.50; Building emacs-25 branch fails

From: Michael Heerdegen <[email-masked]>
Date: Sun, 22 Nov 2015 18:58:30 +0100

Hello,

bootstrapping a checkout of the emacs25 branch fails for me.  master
builds fine.

Here is what I did: I checked out the emacs-25 branch, I have a clean
worktree.  Then ./autogen.sh, ./configure, make bootstrap.

Here are the final lines of output that "make bootstrap" gave before it
died:

Loading /home/micha/software/emacs/lisp/tooltip.el (source)...
Finding pointers to doc strings...
Finding pointers to doc strings...done
Dumping under the name emacs
91330 pure bytes used
: paxctl -zex emacs
mv -f emacs bootstrap-emacs
make -C ../lisp compile-first EMACS="../src/bootstrap-emacs"
make[3]: Entering directory '/home/micha/software/emacs/lisp'
  ELC      emacs-lisp/macroexp.elc
  ELC      emacs-lisp/cconv.elc
  ELC      emacs-lisp/byte-opt.elc
  ELC      emacs-lisp/bytecomp.elc
  ELC      emacs-lisp/autoload.elc
make[3]: Leaving directory '/home/micha/software/emacs/lisp'
make -C ../lisp autoloads EMACS="../src/bootstrap-emacs"
make[3]: Entering directory '/home/micha/software/emacs/lisp'
  GEN      calendar/cal-loaddefs.el
  GEN      calendar/diary-loaddefs.el
  GEN      calendar/hol-loaddefs.el
  GEN      mh-e/mh-loaddefs.el
  GEN      net/tramp-loaddefs.el
Directories for loaddefs: . ./calc ./calendar ./cedet ./cedet/ede ./cedet/semantic ./cedet/semantic/analyze ./cedet/semantic/bovine ./cedet/semantic/decorate ./cedet/semantic/symref ./cedet/semantic/wisent ./cedet/srecode ./emacs-lisp ./emacs-parallel ./emulation ./erc ./eshell ./gnus ./international ./language ./leim ./leim/ja-dic ./leim/quail ./mail ./mh-e ./net ./nxml ./org ./play ./progmodes ./textmodes ./url ./vc
  GEN      loaddefs.el
Making generated-autoload-file local to  *autoload-file* while let-bound!
*** Error in `../src/bootstrap-emacs': realloc(): invalid next size: 0x00000000046edaf0 ***
Fatal error 6: Aborted

Minor issue: after that had failed, I had to delete several lock files
by hand.

I'm reporting from the same environment with a master build.

Thanks,

Michael.

In GNU Emacs 25.1.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.2)
 of 2015-11-22
Repository revision: ea78129522f428888607151e4f91ade1f4839f3f
Windowing system distributor 'The X.Org Foundation', version 11.0.11703000
System Description:	Debian GNU/Linux testing (stretch)

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY
LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11

Important settings:
  value of $LC_ALL: de_DE.utf8
  value of $LC_COLLATE: C
  value of $LC_TIME: C
  value of $LANG: de_DE.utf8
  locale-coding-system: utf-8-unix

Major mode: Emacs-Lisp